Page MenuHomePhabricator

Add OAuth support to Tool Labs interface for Eranbot
Closed, ResolvedPublic5 Story Points

Description

Add OAuth support to Tool Labs interface for Eranbot.

This task doesn't include actually storing or updating the username in the database. We'll do that in a separate task.

Only logged-in users will be able to triage open cases.

Event Timeline

kaldari created this task.Apr 7 2016, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 5:45 PM
kaldari set the point value for this task to 5.Apr 7 2016, 5:46 PM
DannyH triaged this task as Medium priority.Apr 7 2016, 5:46 PM
DannyH moved this task from Untriaged to Estimated on the Community-Tech board.Apr 7 2016, 5:47 PM
DannyH added a subscriber: DannyH.Apr 16 2016, 12:19 AM
Niharika claimed this task.May 2 2016, 4:27 AM
DannyH updated the task description. (Show Details)May 11 2016, 10:53 PM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptMay 18 2016, 8:54 PM
kaldari updated the task description. (Show Details)May 27 2016, 9:34 PM

This needs approval by a steward for my consumer request but works for my account.

This needs some set-up instructions in the README file. For example, about creating the credentials.ini file, etc.

kaldari closed this task as Resolved.Jun 15 2016, 1:57 AM
kaldari moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Jun 20 2016, 8:19 PM
MusikAnimal moved this task from Backlog to Done on the CopyPatrol board.Dec 6 2016, 5:25 AM